## ros-rolling-joy 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(joy)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sdl2_vendor REQUIRED)
find_package(sdl2_custom REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(joy SHARED src/joy.cpp)
target_include_directories(joy PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(joy PUBLIC
  rclcpp::rclcpp
  ${sensor_msgs_TARGETS}
  SDL2::SDL2)
target_link_libraries(joy PRIVATE
  rclcpp_components::component)

install(TARGETS joy EXPORT export_joy
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

rclcpp_components_register_node(joy
  PLUGIN "joy::Joy"
  EXECUTABLE joy_node)

add_executable(joy_enumerate_devices
  src/joy_enumerate_devices.cpp)
target_link_libraries(joy_enumerate_devices
  SDL2::SDL2)

install(TARGETS joy_enumerate_devices
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME})

ament_export_targets(export_joy)
ament_export_dependencies(
  "rclcpp"
  "sensor_msgs"
  "sdl2_vendor"
  "sdl2_custom")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-joy (3.1.0-3jammy) jammy; urgency=high

  * Install includes to include/ and misc CMake fixes (#225 <https://github.com/ros-drivers/joystick_drivers/issues/225>)
  * Style fixes for newer cpplint.
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Jan 2022 08:00:00 -0000

ros-rolling-joy (3.0.1-3jammy) jammy; urgency=high

  * Override device_id when device_name is provided. (#199 <https://github.com/ros-drivers/joystick_drivers/issues/199>) (#211 <https://github.com/ros-drivers/joystick_drivers/issues/211>)
  * Contributors: Tiger Sachse

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Jan 2022 08:00:00 -0000

ros-rolling-joy (3.0.0-3jammy) jammy; urgency=high

  * Fix SDL2 include path (#196 <https://github.com/ros-drivers/joystick_drivers/issues/196>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 12 Mar 2021 08:00:00 -0000

ros-rolling-joy (2.4.1-3jammy) jammy; urgency=high

  * Small fixes for uncrustify on Foxy. (#171 <https://github.com/ros-drivers/joystick_drivers/issues/171>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-joy (2.4.0-3jammy) jammy; urgency=high

  * Cross platform joystick support for ROS 2 (#157 <https://github.com/ros-drivers/joystick_drivers/issues/157>)
  * roslint and Generic Clean-Up (#161 <https://github.com/ros-drivers/joystick_drivers/issues/161>)
  * Merge pull request #158 <https://github.com/ros-drivers/joystick_drivers/issues/158> from clalancette/ros1-cleanups
  * Greatly simplify the sticky_buttons support.
  * Small fixes to rumble support.
  * Use C++ style casts.
  * Use empty instead of length.
  * joy_def_ff -> joy_dev_ff
  * Cleanup header includes.
  * Use size_t appropriately.
  * NULL -> nullptr everywhere.
  * Style cleanup in joy_node.cpp.
  * Merge pull request #154 <https://github.com/ros-drivers/joystick_drivers/issues/154> from zchen24/master
  * Minor: moved default to right indent level
  * Contributors: Chris Lalancette, Joshua Whitley, Zihan Chen

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-joy
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sdl2-vendor, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sdl2-vendor, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: The joy package contains joy_node, a node that interfaces a generic joystick to ROS 2.
 This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-joy//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
